<?php
/**
 * Createing an Facility pannel for customizer
 *
 */

// START FACILITY SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_facility_section',
        array(
            'title' => __( 'Recent Products Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_facility_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_facility_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_facility_section_disable',
                'section'       => 'lz_fitness_premium_facility_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'facility', 'lz_fitness_premium_facility_section', $color='#ffffff');

    $wp_customize->add_setting(
    'lz_fitness_recent_product_title_sub_title_heading',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text'
    )
);
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_recent_product_title_sub_title_heading',
        array(
            'settings'      => 'lz_fitness_recent_product_title_sub_title_heading',
            'section'       => 'lz_fitness_premium_facility_section',
            'label'         => __( 'Section Title', 'gurukul' ),
        )
    )
);    
$wp_customize->add_setting(
    'lz_fitness_recent_product_title',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( 'RECENT PRODUCTS', 'gurukul' )
    )
);
$wp_customize->add_control(
    'lz_fitness_recent_product_title',
    array(
        'settings'      => 'lz_fitness_recent_product_title',
        'section'       => 'lz_fitness_premium_facility_section',
        'type'          => 'text',
        'label'         => __( 'Title', 'gurukul' )
    )
);

    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_facility_HeadingColor', 'lz_fitness_premium_facility_section', 'Heading color', '#ffffff'); 
    // Text color
    addColorPalatOption($wp_customize, 'lz_fitness_facility_TextColor', 'lz_fitness_premium_facility_section', 'Text color', '#232222');
  // Title color
    addColorPalatOption($wp_customize, 'lz_fitness_facility_TitleColor', 'lz_fitness_premium_facility_section', 'Price Text color', '#000000');
    // Icon color
    addColorPalatOption($wp_customize, 'lz_fitness_facility_IconColor', 'lz_fitness_premium_facility_section', 'Icon color', '#ffffff'); 
    
// Product Title Wrap color
    addColorPalatOption($wp_customize, 'lz_fitness_facility_ProductTitleWrapColor', 'lz_fitness_premium_facility_section', 'Product Title Wrap color', '#ffffff'); 
    
// PreviewButtonColor
    addColorPalatOption($wp_customize, 'lz_fitness_facility_PreviewButtonColor', 'lz_fitness_premium_facility_section', 'Preview Button Background Color', '#88b14b'); 
    
